package com.hz.pm.api.projectlib.controller;

import com.hz.pm.api.projectlib.manage.MhProjectManage;
import com.hz.pm.api.projectlib.model.req.DeclaredProjectListReq;
import com.hz.pm.api.projectlib.model.vo.DeclaredProjectListVO;
import com.hz.pm.api.projectlib.model.vo.MhProjectBaseInfoVO;
import com.ningdatech.basic.model.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author WendyYang
 * @since 2024-01-30
 */
@Api(tags = "信产项目（立项备案）列表")
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/mh/project")
public class MhProjectController {

    private final MhProjectManage mhProjectManage;

    @ApiOperation("立项备案列表")
    @GetMapping("/pageDeclaredProject")
    public PageVo<DeclaredProjectListVO> pageDeclaredProject(DeclaredProjectListReq req) {
        return mhProjectManage.pageDeclaredProject(req);
    }

    @ApiOperation("信产项目基本信息")
    @GetMapping("/baseInfo/{mhProjectId}")
    public MhProjectBaseInfoVO projectBaseInfo(@PathVariable Long mhProjectId) {
        return mhProjectManage.getProjectBaseInfo(mhProjectId);
    }


}
